import { Element } from "ltx";
import { GenericHandler } from "./GenericHandler";
import { ConferenceSession } from "../../common/models/ConferenceSession";
import { List } from "ts-generic-collections-linq";
import { XMPPService } from "../XMPPService";
export {};
declare class ConversationEventHandler extends GenericHandler {
    MESSAGE: string;
    MESSAGE_CHAT: string;
    MESSAGE_SET: string;
    MESSAGE_GROUPCHAT: string;
    MESSAGE_WEBRTC: string;
    MESSAGE_MANAGEMENT: string;
    MESSAGE_ERROR: string;
    MESSAGE_HEADLINE: string;
    MESSAGE_CLOSE: string;
    private _conversationService;
    findAttrs: any;
    findChildren: any;
    private _fileStorageService;
    private _fileServerService;
    private _bubbleService;
    private _contactsService;
    private _presenceService;
    private storeMessagesInConversation;
    private maxMessagesStoredInConversation;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(xmppService: XMPPService, conversationService: any, imOptions: any, fileStorageService: any, fileServerService: any, bubbleService: any, contactsService: any, presenceService: any);
    private createSessionParticipantFromElem;
    parseConferenceV2UpdatedEvent(stanza: any, id: any, node: any): Promise<void>;
    onMessageReceived(msg: any, stanzaTab: Element): Promise<void>;
    onChatMessageReceived(msg: any, stanzaTab: Element): Promise<void>;
    parseParticipantsFromConferenceUpdatedEvent(conference: ConferenceSession, addedParticipants: any): Promise<void>;
    parseIdFromConferenceUpdatedEvent(participants: any, propertyToGet: string): List<string>;
    parseTalkersFromConferenceUpdatedEvent(conference: ConferenceSession, talkersElmt: any): void;
    parsSilentsFromConferenceUpdatedEvent(conference: ConferenceSession, silentsElmt: any): void;
    parsePublishersFromConferenceUpdatedEvent(conference: ConferenceSession, xmlElementList: any, add: boolean): Promise<void>;
    parseServicesFromConferenceUpdatedEvent(conference: ConferenceSession, xmlElementList: any, add: boolean): Promise<void>;
    _onMessageReceived(conversationId: any, data: any): Promise<void>;
    onRoomAdminMessageReceived(msg: any, stanzaTab: any): void;
    onFileMessageReceived(msg: any, stanzaTab: any): void;
    onWebRTCMessageReceived(msg: any, stanzaTab: any): void;
    onManagementMessageReceived(msg: any, stanzaTab: any): void;
    onRoomManagementMessageReceived(node: any, nodeJson: any): Promise<void>;
    onUserSettingsManagementMessageReceived(node: any): void;
    onUserInviteManagementMessageReceived(node: any): void;
    onGroupManagementMessageReceived(node: any): void;
    onConversationManagementMessageReceived(node: Element): Promise<void>;
    onMuteManagementMessageReceived(node: any): void;
    onUnmuteManagementMessageReceived(node: any): void;
    onFileManagementMessageReceived(node: any): Promise<void>;
    onThumbnailManagementMessageReceived(node: any): void;
    onRoomsContainerManagementMessageReceived(node: any): Promise<void>;
    onConnectorImportStatusMessageReceived(node: any): Promise<void>;
    onConnectorCommandManagementMessageReceived(node: any): Promise<void>;
    onConnectorCommandEndedMessageReceived(node: any): Promise<void>;
    onConnectorConfigManagementMessageReceived(node: any): Promise<void>;
    onLogsMessageReceived(node: any): Promise<void>;
    onUserPasswordMessageReceived(jsonNode: any): Promise<void>;
    onReceiptMessageReceived(msg: any, stanza: any): void;
    onErrorMessageReceived(msg: any, stanzaTab: any): Promise<void>;
    onCloseMessageReceived(msg: any, stanzaTab: any): void;
}
export { ConversationEventHandler };
